<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    {% if title %}
    <title>{{ title }} </title>
    {% else %}
    <title> Witaj na blogu! </title>
    {% endif %}
</head>
<body>
    <div>
        Microblog:
        <a href="{{ url_for('index') }}">Strona główna</a>
        {% if current_user.is_anonymous %}
        <a href="{{ url_for('login') }}">Zaloguj</a>
        {% else %}
            <a href ="{{ url_for('user', username=current_user.username) }}">
                Profil użytkownika
            </a>
        <a href="{{ url_for('logout') }}">Wyloguj</a>
        {% endif %}
    </div>
    <hr>
    {% with messages = get_flashed_messages() %}
        {% if messages %}
            <ul>
                {% for message in messages %}
                    <li> {{ message }} </li>
                {% endfor %}
            </ul>
        {% endif %}
    {% endwith %}
    {% block content %} {% endblock %}
</body>
</html>